import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { RouterModule } from '@angular/router';
import { loadCldr, setCulture, Internationalization, L10n } from '@syncfusion/ej2-base';

import { AppRoutingModule } from './app-routing.module';


import { JwtModule } from '@auth0/angular-jwt';

import { CoreModule } from './core/core.module';

import { ProyectosModule } from './components/proyectos/proyectos.module';

import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent,
  ],
  imports: [
    BrowserModule.withServerTransition({ appId: 'ng-cli-universal' }),
    HttpClientModule,
    FormsModule,

    AppRoutingModule,
    JwtModule.forRoot({
      config: {
        tokenGetter: () => {
          return localStorage.getItem('userToken');
        }
      }
    }),

    CoreModule,
    ProyectosModule,
  ],
  providers: [],

  bootstrap: [AppComponent]
})
export class AppModule { }
