import { NgModule } from '@angular/core';
import { FormsModule,  ReactiveFormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';

import { SharedModule } from '../../shared/shared.module';

import { GridModule, ResizeService, CommandColumnService, PageService, EditService } from '@syncfusion/ej2-angular-grids';
import { DropDownListAllModule } from '@syncfusion/ej2-angular-dropdowns';
import { DatePickerModule  } from '@syncfusion/ej2-angular-calendars';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';


import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { ColorPickerModule } from '@syncfusion/ej2-angular-inputs';


import { ProyectosRoutingModule } from './proyectos-routing.module';

import { ListarProyectosComponent } from './listar-proyectos/listar-proyectos.component';

import { AngularDualListBoxModule } from 'angular-dual-listbox';


@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    ProyectosRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    GridModule,
    DropDownListAllModule,
    DatePickerModule,
    ColorPickerModule,
    ChartModule,
    SwitchModule,
    AngularDualListBoxModule
  ],
  declarations: [ ListarProyectosComponent],
    providers: [  ResizeService, CommandColumnService, PageService, EditService ],
    exports: []
})
export class ProyectosModule { }
